GEARMAN_CLIENT_SET_LOG_FN(3)

NAME
gearman_client_set_log_fn - Gearmand Documentation, http://gearman.info/

SYNOPSIS

#include <libgearman/gearman.h>

void gearman_client_set_log_fn(gearman_worker_st *worker, gearman_log_fn *function, void *context, gearman_verbose_t verbose)

DESCRIPTION

gearman_client_set_log_fn() is similar to gearman_worker_set_log_fn() but it used with clients, aka, gearman_client_st. gearman_client_set_log_fn() allows you to register a callback that will be passed all error messages that are givin to the client.

See gearman_log_fn for more information on the callback.

See gearman_verbose_t for more information on logging levels.

RETURN VALUE

None

HOME

To find out more information please check: http://gearman.info/

SEE ALSO

gearmand(8) libgearman(3) gearman_log_fn(3)

AUTHOR
Data Differential http://www.datadifferential.com/

COPYRIGHT
2011-2013, Data Differential, http://www.datadifferential.com/